# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Huawei Inc.

Cspell.NpxCmd ?= $(strip $(shell command -v npx 2>/dev/null))
Cspell.Options ?=

.PHONY: static-check-npx-cspell-lint
static-check-npx-cspell-lint:
	$(strip $(Cspell.NpxCmd) cspell lint $(Cspell.Options))

# Run "npx cspell" when running static checks, but only when npx is installed.
ifneq (,$(Cspell.NpxCmd))
static-check:: static-check-npx-cspell-lint
else
$(if $(filter check static-check,$(MAKECMDGOALS)),$(warning The npx program is not available, static-check target will not depend on static-check-npx-cspell))
endif
