// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package ini_test

import (
	"testing"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/encoding/ini"
	. "gopkg.in/check.v1"
)

func Test(t *testing.T) { TestingT(t) }

type iniSuite struct{}

var _ = Suite(&iniSuite{})

func (s *iniSuite) TestMarshalUnmarshal(c *C) {
	type Person struct {
		Name string `ini:"Name,[Person]"`
		Age  int    `ini:"Age,omitempty"`
	}

	data, err := ini.Marshal(&Person{Name: "Bob", Age: 30})
	c.Assert(err, IsNil)
	c.Check(string(data), Equals, "[Person]\nName=Bob\nAge=30\n")

	var p Person
	err = ini.Unmarshal(data, &p)
	c.Assert(err, IsNil)
	c.Check(p, Equals, Person{Name: "Bob", Age: 30})
}
