// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package picfg_test

import (
	"bytes"

	. "gopkg.in/check.v1"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/picfg"
)

type encoderSuite struct{}

var _ = Suite(&encoderSuite{})

func (s *encoderSuite) TestEncode(c *C) {
	var buf bytes.Buffer
	enc := picfg.NewEncoder(&buf)
	err := enc.Encode(picfg.ConfigTxt{
		Sections: []picfg.Section{
			{
				Parameters: []picfg.Parameter{
					{Name: "key", Value: "value"},
				},
			},
			{
				Filter: "[pi4]",
				Parameters: []picfg.Parameter{
					{Name: "initramfs", Value: "tricky"},
					{Name: "unused", Value: "stuff"},
				},
			},
		},
	})
	c.Assert(err, IsNil)
	c.Check(buf.String(), Equals, ""+
		"key=value\n"+
		"[pi4]\n"+
		"initramfs tricky\n"+
		"unused=stuff\n")
}
