// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package pimodel_test

import (
	"testing"

	. "gopkg.in/check.v1"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/picfg/pimodel"
)

func Test(t *testing.T) { TestingT(t) }

type modelSuite struct{}

var _ = Suite(&modelSuite{})

func (s *modelSuite) TestString(c *C) {
	c.Check(pimodel.NotPi.String(), Equals, "not a Raspberry Pi")

	c.Check(pimodel.Pi0.String(), Equals, "Raspberry Pi Zero")
	c.Check(pimodel.Pi0W.String(), Equals, "Raspberry Pi Zero W")
	c.Check(pimodel.Pi1A.String(), Equals, "Raspberry Pi Model A")
	c.Check(pimodel.Pi1APlus.String(), Equals, "Raspberry Pi Model A Plus")
	c.Check(pimodel.Cm1.String(), Equals, "Raspberry Pi Compute Module")
	c.Check(pimodel.Pi1B.String(), Equals, "Raspberry Pi Model B")
	c.Check(pimodel.Pi1BPlus.String(), Equals, "Raspberry Pi Model B Plus")
	c.Check(pimodel.Pi2B.String(), Equals, "Raspberry Pi 2 Model B")
	c.Check(pimodel.Pi3B.String(), Equals, "Raspberry Pi 3 Model B")
	c.Check(pimodel.Pi3APlus.String(), Equals, "Raspberry Pi 3 Model A Plus")
	c.Check(pimodel.Pi3BPlus.String(), Equals, "Raspberry Pi 3 Model B Plus")
	c.Check(pimodel.Cm3.String(), Equals, "Raspberry Pi Compute Module 3")
	c.Check(pimodel.Cm3Plus.String(), Equals, "Raspberry Pi Compute Module 3 Plus")
	c.Check(pimodel.Pi4B.String(), Equals, "Raspberry Pi 4 Model B")
	c.Check(pimodel.Pi400.String(), Equals, "Raspberry Pi 400")
	c.Check(pimodel.Cm4.String(), Equals, "Raspberry Pi Compute Module 4")

	c.Check(func() { _ = pimodel.Model(42).String() }, PanicMatches, "invalid Raspberry Pi model: 42")
}
