// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package boothandler

import (
	"bytes"
)

// TestStdio contains buffers representing stdout and stderr.
type TestStdio struct {
	Stdout bytes.Buffer
	Stderr bytes.Buffer
}

// MockStdio replaces stdin and stderr inside the rauc package.
func MockStdio() (stdio *TestStdio, restore func()) {
	var testStdio TestStdio

	oldStdout := stdout
	oldStderr := stderr

	stdout = &testStdio.Stdout
	stderr = &testStdio.Stderr

	return &testStdio, func() {
		stdout = oldStdout
		stderr = oldStderr
	}
}
