// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package rauctest

import "git.ostc-eu.org/OSTC/OHOS/components/sysota/rauc/installhandler"

// InstallParticipant is a installhandler.Participant suitable for testing.
type InstallParticipant struct {
	PreInstallHandlerFn  func(ctx *installhandler.HandlerContext) error
	PostInstallHandlerFn func(ctx *installhandler.HandlerContext) error
}

// ResetCallbacks resets all callback functions to nil.
func (p *InstallParticipant) ResetCallbacks() {
	*p = InstallParticipant{}
}

// PreInstallHandler calls the PreInstallHandlerFn callback function.
func (p *InstallParticipant) PreInstallHandler(ctx *installhandler.HandlerContext) error {
	if p.PreInstallHandlerFn == nil {
		panic("please provide PreInstallHandlerFn callback function")
	}

	return p.PreInstallHandlerFn(ctx)
}

// PostInstallHandler calls the PostInstallHandlerFn callback function.
func (p *InstallParticipant) PostInstallHandler(ctx *installhandler.HandlerContext) error {
	if p.PostInstallHandlerFn == nil {
		panic("please provide PostInstallHandlerFn callback function")
	}

	return p.PostInstallHandlerFn(ctx)
}
