// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package squashlz4_test

import (
	"testing"

	. "gopkg.in/check.v1"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/squashfstools/mksquashfs/squashlz4"
)

func Test(t *testing.T) { TestingT(t) }

type configSuite struct {
	config squashlz4.Config
}

var _ = Suite(&configSuite{})

func (s *configSuite) SetUpTest(c *C) {
	s.config = squashlz4.Config{}
}

func (s *configSuite) TestCompressionName(c *C) {
	c.Check(s.config.CompressionName(), Equals, "lz4")
}

func (s *configSuite) TestMksquashfsOptionsDefaults(c *C) {
	c.Check(s.config.MksquashfsOptions(), HasLen, 0)
}

func (s *configSuite) TestMksquashfsOptionsWithHighCompression(c *C) {
	s.config.HighCompression = true
	c.Check(s.config.MksquashfsOptions(), DeepEquals, []string{"-X" + "hc"})
}
