// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package squashlzma_test

import (
	"testing"

	. "gopkg.in/check.v1"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/squashfstools/mksquashfs/squashlzma"
)

func Test(t *testing.T) { TestingT(t) }

type configSuite struct {
	config squashlzma.Config
}

var _ = Suite(&configSuite{})

func (s *configSuite) TestCompressionName(c *C) {
	c.Check(s.config.CompressionName(), Equals, "lzma")
}

func (s *configSuite) TestMksquashfsOptions(c *C) {
	c.Check(s.config.MksquashfsOptions(), HasLen, 0)
}
