// SPDX-License-Identifier: Apache-2.0
// SPDX-FileCopyrightText: Huawei Inc.

package squashzstd_test

import (
	"testing"

	"git.ostc-eu.org/OSTC/OHOS/components/sysota/squashfstools/mksquashfs/squashzstd"
	. "gopkg.in/check.v1"
)

func Test(t *testing.T) { TestingT(t) }

type configSuite struct {
	config squashzstd.Config
}

var _ = Suite(&configSuite{})

func (s *configSuite) SetUpTest(c *C) {
	s.config = squashzstd.Config{}
}

func (s *configSuite) TestCompressionName(c *C) {
	c.Check(s.config.CompressionName(), Equals, "zstd")
}

func (s *configSuite) TestMksquashfsOptionsDefaults(c *C) {
	c.Check(s.config.MksquashfsOptions(), HasLen, 0)
}

func (s *configSuite) TestMksquashfsOptionsWithCompressionLevel(c *C) {
	s.config.CompressionLevel = 9
	c.Check(s.config.MksquashfsOptions(), DeepEquals, []string{"-X" + "compression-level", "9"})
}
